# DataExchange
TKXSBase
Transfer

# Transfer_BinderOfTransientInteger Class Reference

This type of Binder allows to attach as result, besides a
Transient Object, an Integer Value, which can be an Index
in the Object if it defines a List, for instance
This Binder is otherwise a kind of SimpleBinderOfTransient,
i.e. its basic result (for iterators, etc) is the Transient
.

`#include <Transfer_BinderOfTransientInteger.hxx>`

Inheritance diagram for Transfer_BinderOfTransientInteger:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_BinderOfTransientInteger ()
| Creates an empty BinderOfTransientInteger; Default value for the integer part is zero .
Standard_EXPORT void | SetInteger (const Standard_Integer value)
| Sets a value for the integer part .
Standard_EXPORT Standard_Integer | Integer () const
| Returns the value set for the integer part .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theintval

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_BinderOfTransientInteger::Transfer_BinderOfTransientInteger | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_BinderOfTransientInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_SimpleBinderOfTransient.

Standard_EXPORT Standard_Integer Transfer_BinderOfTransientInteger::Integer | ( |  | ) | const

Standard_EXPORT void Transfer_BinderOfTransientInteger::SetInteger | ( | const Standard_Integer | value | ) |

## Field Documentation

Standard_Integer Transfer_BinderOfTransientInteger::theintval `[private]`

The documentation for this class was generated from the following file:

- Transfer_BinderOfTransientInteger.hxx